A PHP Error was encountered

Severity: 8192

Message: mysql_escape_string(): This function is deprecated; use mysql_real_escape_string() instead.

Filename: mysql/mysql_driver.php

Line Number: 319

Представлен релиз Linux-дистрибутива CentOS 5.8

Представлен релиз Linux-дистрибутива CentOS 5.8


Рубрика: Linux дистрибутивы
Метки: |
Просмотров: 3212

Представлен 21 релиз Линукс-установочного пакета CENTOS 5.8, основанного на пакетной базе продукта Red Hat Enterprise Линукс 5.8 и на 100 процентов бинарно совместимого с ним. Если выпуск CENTOS 5.7 отстал от RHEL 5.7 на 2 мес., то при подготовке CENTOS 5.8 создатели сумели отпустить релиз спустя в общей сложности 2 нед. после RHEL 5.8.

В отличие от RHEL в CENTOS, пакеты из серверной и из рабочий стол редакции RHEL объединены в единый репозиторий пакетов и в 1 установочный набор. CENTOS 5.8 поставляется для платформ i386 и x86_64 в сборках: DVD (2 диска), CD (7 дисков) и сокращенный netinstall.iso (13 Мегабайт) образ для установки по сети. Выпуск LIVECD задерживается. Пакеты srpm и debuginfo более не поддерживаются на главных зеркалах CENTOS, для доступа к ним нужно применять некоторые архивы vault.centos.org (srpm) и debuginfo.centos.org.

С новшествами, заимствованными из RHEL, возможно познакомиться в анонсе RHEL 5.8. Из улучшений, внесенных в CENTOS 5.8 возможно подчеркнуть:

В сравнении с прошлой версией добавлено 18 новых пакетов, из них 10 к тому же добавлены в RHEL: binutils220, iotop, mysql-connector-odbc64, pixman, postgresql-odbc64, python-ctypes, spice-client, spice-protocol, virt-who, UNIXODBC64. А 8 специфичны для CENTOS 5.8: centos-release, centos-release-notes, yum-allowdowngrade, yum-kernel-module, yum-merge-conf, yum-refresh-updatesd, yum-tsflags, yum-upgrade-helper;

Обновлено 216 пакетов;

В сравнении с RHEL 5.8 внесены перемены в содержимое 213 пакетов. Большая часть изменений сводятся к ребрендингу, так как применение бренда Red Hat в производных дистрибутивах запрещено. К примеру: anacron, basesystem, bluez-utils, busybox, cluster-cim, cluster-snmp, compiz, crash, desktop-backgrounds-basic, eclipse, etherboot, filesystem, firefox, firstboot, gdm, gnome-desktop, gzip, httpd, initscripts, kde, kmod-gfs, kmod-gfs-xen, kmod-gnbd, kmod-gnbd-xen, kmod-kvm, kudzu, kvm, modcluster, mod_ssl, nautilus-sendto, ntp, oprofile, pango, pm-utils, procmail, rgmanager, rhgb, ricci, setuptool, specspo, squirrelmail, tftp, thunderbird, virt-manager, yum;

В сравнении с RHEL удалено 16 пакетов: redhat-release-5client, redhat-release-5server, redhat-release-notes, rhel-instnum, rhn-check rhn-client-tools, rhnlib, rhnsd, rhn-setup, rhn-setup-gnome, yum-rhn-plugin, subscription-manager-*;

Известные трудности:

Усложнение процесса локальной установки с DVD при потребности эксплуатации языковых пакетов для OPENOFFICE.org со II-го диска. Если ранее возможно было примонтировать ч/з loop-устройство DVD и запустить инсталлятор, то сейчас необходимо сперва скопировать в отдельное место содержимое 2-х дисков и пересоздать мета-данные для сделанной копии, или отложить установку языковых пакетов и инсталлировать их отдельным шагом после окончания установки основной системы.

Наблюдается конфликт м/у пакетами dbus-1.1.2-16.el5_7.i386 и dbus-1.1.2-16.el5_7.x86_64, которые не могут быть установлены одновременно, так как и тот и иной использует файл /etc/dbus-1/system.conf;

Проявляется сложность с работой VLAN (802.1q) при использовании драйвера tg3 и карт на базе чипсета Broadcom BCM5721. В качестве обходного способы разрешения трудности рекомендуется поставить пакет kmod-tg3-rhel5u7 из репозитория с обновлениями для CENTOS;

При использовании smartmontools совместно с ядром Линукс 2.6.18-308.el5, в лог выводится ошибка "hard drives behind a SAS controller can get dropped" для некоторых контроллеров, к примеру, для LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS (rev 08);

Последняя версия утилит nfs-utils выдаёт некорректное предупреждение для точек NFS-монтирования при использовании rpc.idmapd и rpc.gssd.